Subject: Re: bug#63344: 29.0.90; (shr-zoom-image) doesn't zoom to buffer size

From: Jim Porter <[email-masked]>
Date: Thu, 4 Jul 2024 12:30:20 -0700

forcemerge 71666 63344
thanks

On 5/8/2023 4:34 AM, Eli Zaretskii wrote:
> "Full buffer size" wrt an image is confusing in any case (an Emacs
> buffer has no "dimensions"), but my reading of the code is that it is
> interpreted as the window dimensions, unless the original size is
> smaller than that.  Not sure if I'm right, though.

In bug#71666, I did some archaeology on the Gnus commit history to 
figure out what this was, and found that the "full buffer size" meant 
"rescale the image to the height of the window". Over in that bug, I've 
fixed the issue described here as well as improving the wording in the 
docstrings to be more precise.